curl --request POST \
--url https://us.infisical.com/api/v2/secret-rotations/salesforce-oauth-credentials \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"projectId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "<string>",
"secretPath": "<string>",
"rotationInterval": 2,
"parameters": {
"appId": "<string>",
"appName": "<string>"
},
"secretsMapping": {
"consumerKey": "<string>",
"consumerSecret": "<string>"
},
"description": "<string>",
"isAutoRotationEnabled": true
}
'import requests
url = "https://us.infisical.com/api/v2/secret-rotations/salesforce-oauth-credentials"
payload = {
"name": "<string>",
"projectId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "<string>",
"secretPath": "<string>",
"rotationInterval": 2,
"parameters": {
"appId": "<string>",
"appName": "<string>"
},
"secretsMapping": {
"consumerKey": "<string>",
"consumerSecret": "<string>"
},
"description": "<string>",
"isAutoRotationEnabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
projectId: '<string>',
connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
environment: '<string>',
secretPath: '<string>',
rotationInterval: 2,
parameters: {appId: '<string>', appName: '<string>'},
secretsMapping: {consumerKey: '<string>', consumerSecret: '<string>'},
description: '<string>',
isAutoRotationEnabled: true
})
};
fetch('https://us.infisical.com/api/v2/secret-rotations/salesforce-oauth-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secretRotation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"rotationInterval": 123,
"rotationStatus": "<string>",
"lastRotationAttemptedAt": "2023-11-07T05:31:56Z",
"lastRotatedAt": "2023-11-07T05:31:56Z",
"connection": {
"app": "salesforce",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"environment": {
"slug": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"projectId": "<string>",
"folder": {
"id": "<string>",
"path": "<string>"
},
"rotateAtUtc": {
"hours": 11.5,
"minutes": 29.5
},
"type": "salesforce-oauth-credentials",
"parameters": {
"appId": "<string>",
"appName": "<string>"
},
"secretsMapping": {
"consumerKey": "<string>",
"consumerSecret": "<string>"
},
"description": "<string>",
"isAutoRotationEnabled": true,
"activeIndex": 0,
"lastRotationJobId": "<string>",
"nextRotationAt": "2023-11-07T05:31:56Z",
"isLastRotationManual": true,
"lastRotationMessage": "<string>"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Create
Create a Salesforce OAuth Credentials Rotation for the specified project.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | A unique, slug-friendly name for the rotation (max 100 characters). |
projectId | string (UUID) | Yes | The project ID. |
connectionId | string (UUID) | Yes | ID of the Salesforce app connection. |
environment | string | Yes | Environment slug (e.g. dev, prod). |
secretPath | string | Yes | Path where the generated secrets will be stored. |
isAutoRotationEnabled | boolean | No | Whether to rotate automatically on the schedule. Defaults to true. |
rotationInterval | number | Yes | Days between rotations (minimum 1). |
rotateAtUtc | object | No | Time of day (UTC) to run rotation: { "hours", "minutes" }. Defaults to { "hours": 0, "minutes": 0 }. |
parameters.appId | string | Yes | The identifier of the Salesforce External Client App to rotate the consumer secret for. |
parameters.appName | string | Yes | The developer name of the Salesforce External Client App to rotate the consumer secret for. |
secretsMapping.consumerKey | string | Yes | Secret key name to store the rotated consumer key (e.g. SALESFORCE_CONSUMER_KEY). |
secretsMapping.consumerSecret | string | Yes | Secret key name to store the rotated consumer secret (e.g. SALESFORCE_CONSUMER_SECRET). |
description | string | No | Optional description. |
Sample request
header 'Authorization: Bearer <ACCESS_TOKEN>' \
--data '{
"name": "my-salesforce-rotation",
"projectId": "<project-id>",
"description": "Salesforce ECA consumer secret rotation",
"connectionId": "<salesforce-connection-id>",
"environment": "dev",
"secretPath": "/",
"isAutoRotationEnabled": true,
"rotationInterval": 30,
"rotateAtUtc": { "hours": 0, "minutes": 0 },
"parameters": {
"appId": "<external-client-app-id>",
"appName": "<external-client-app-developer-name>"
},
"secretsMapping": {
"consumerKey": "SALESFORCE_CONSUMER_KEY",
"consumerSecret": "SALESFORCE_CONSUMER_SECRET"
}
}'
Sample response
{
"secretRotation": {
"id": "<rotation-id>",
"name": "my-salesforce-rotation",
"description": "Salesforce ECA consumer secret rotation",
"secretsMapping": {
"consumerKey": "SALESFORCE_CONSUMER_KEY",
"consumerSecret": "SALESFORCE_CONSUMER_SECRET"
},
"isAutoRotationEnabled": true,
"activeIndex": 0,
"connectionId": "<salesforce-connection-id>",
"rotationInterval": 30,
"rotateAtUtc": { "hours": 0, "minutes": 0 },
"type": "salesforce-oauth-credentials",
"parameters": {
"appId": "<external-client-app-id>",
"appName": "<external-client-app-developer-name>"
}
}
}
Body
The name of the Salesforce OAuth Credentials Rotation to create. Must be slug-friendly.
1 - 64The ID of the project to create the rotation in.
1The ID of the Salesforce Connection to use for rotation.
The slug of the project environment to create the rotation in.
1 - 64The secret path of the project to create the rotation in.
1The interval, in days, to automatically rotate secrets.
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
An optional description for the Salesforce OAuth Credentials Rotation.
256Whether secrets should be automatically rotated when the specified rotation interval has elapsed.
The hours and minutes rotation should occur at in UTC. Defaults to Midnight (00:00) UTC.
Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?